diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index b4ec1981..bec22cea 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -659,37 +657,49 @@
 
         if (_.isArray(opt)) {
 
-          optionText  = opt[0];
+          optionText = opt[0];
           optionValue = opt[1];
 
           $select.append(
             self.template({
-               label: optionText,
-               value: optionValue,
-               selected: (selectedValues == optionValue) ||
-                 (select2_opts.multiple && _.indexOf(selectedValues, optionValue) > -1)
+              label: optionText,
+              value: optionValue,
+              selected: (selectedValues == optionValue) ||
+                (select2_opts.multiple && _.indexOf(selectedValues, optionValue) > -1),
             }));
-         } else {
+        } else {
           opt = _.defaults({}, opt, {
             selected: ((selectedValues == opt.value) ||
-                (select2_opts.multiple && _.indexOf(selectedValues, opt.value) > -1)),
-            }, self.defaults.opt);
+              (select2_opts.multiple && _.indexOf(selectedValues, opt.value) > -1)),
+          }, self.defaults.opt);
           $select.append(self.template(opt));
         }
       }
 
-      if(col && _.has(col.disabled)) {
+      if (col && _.has(col.disabled)) {
+        var evalF = function() {
+          var args = [];
+          Array.prototype.push.apply(args, arguments);
+          var f = args.shift();
+
+          if (typeof(f) === 'function') {
+            return f.apply(self, args);
+          }
+          return f;
+        };
         _.extend(select2_opts, {
-          disabled: evalF(col.disabled, col, model)
+          disabled: evalF(col.disabled, col, model),
         });
       } else {
-        _.extend(select2_opts, {disabled: !editable});
+        _.extend(select2_opts, {
+          disabled: !editable,
+        });
       }
 
       this.delegateEvents();
 
       // If disabled then no need to show placeholder
-      if(!editable || col.mode === 'properties') {
+      if (!editable || col.mode === 'properties') {
         select2_opts['placeholder'] = '';
       }
 
@@ -698,7 +708,7 @@
 
       // Select the highlighted item on Tab press.
       if (this.$sel) {
-        this.$sel.data('select2').on("keypress", function(ev) {
+        this.$sel.data('select2').on('keypress', function(ev) {
           var self = this;
 
           // keycode 9 is for TAB key
@@ -713,13 +723,13 @@
     },
 
     /**
-       Saves the value of the selected option to the model attribute.
-    */
-    onSave: function (e) {
+         Saves the value of the selected option to the model attribute.
+         */
+    onSave: function() {
       var model = this.model;
       var column = this.column;
 
-      model.set(column.get("name"), this.$select.val());
+      model.set(column.get('name'), this.$select.val());
     },
 
     remove: function() {
@@ -729,7 +739,7 @@
       }
       this.$el.empty();
       Backgrid.SelectCell.prototype.remove.apply(this, arguments);
-    }
+    },
   });
 
   /**
@@ -741,12 +751,12 @@
   */
   var TextareaCellEditor = Backgrid.TextareaCellEditor = Backgrid.InputCellEditor.extend({
     /** @property */
-    tagName: "textarea",
+    tagName: 'textarea',
 
     events: {
-      "blur": "saveOrCancel",
-      "keydown": ""
-    }
+      'blur': 'saveOrCancel',
+      'keydown': '',
+    },
   });
 
   /**
@@ -755,43 +765,42 @@
       @class Backgrid.Extension.TextareaCell
       @extends Backgrid.Cell
   */
-  var TextareaCell = Backgrid.Extension.TextareaCell = Backgrid.Cell.extend({
+  Backgrid.Extension.TextareaCell = Backgrid.Cell.extend({
     /** @property */
-    className: "textarea-cell",
+    className: 'textarea-cell',
 
-    editor: TextareaCellEditor
+    editor: TextareaCellEditor,
   });
 
 
   /**
    * Custom header icon cell to add the icon in table header.
-  */
-  var CustomHeaderIconCell = Backgrid.Extension.CustomHeaderIconCell = Backgrid.HeaderCell.extend({
-      /** @property */
-      className: "header-icon-cell",
-      events: {
-        "click": "addHeaderIcon"
-      },
-      addHeaderIcon: function (e) {
-        var self = this,
-        m = new (this.collection.model);
-        this.collection.add(m)
-        e.preventDefault();
-      },
-      render: function () {
-          this.$el.empty();
-          //this.$el.html("<i class='fa fa-plus-circle'></i>");
-          this.$el.html("<label><a><span style='font-weight:normal;'>Array Values</a></span></label> <button class='btn-sm btn-default add'>Add</button>");
-          this.delegateEvents();
-          return this;
-      }
+   */
+  Backgrid.Extension.CustomHeaderIconCell = Backgrid.HeaderCell.extend({
+    /** @property */
+    className: 'header-icon-cell',
+    events: {
+      'click': 'addHeaderIcon',
+    },
+    addHeaderIcon: function(e) {
+      this.collection.add(
+        new(this.collection.model)
+      );
+      e.preventDefault();
+    },
+    render: function() {
+      this.$el.empty();
+      //this.$el.html("<i class='fa fa-plus-circle'></i>");
+      this.$el.html('<label><a><span style=\'font-weight:normal;\'>Array Values</a></span></label> <button class=\'btn-sm btn-default add\'>Add</button>');
+      this.delegateEvents();
+      return this;
+    },
   });
 
-
   var arrayCellModel = Backbone.Model.extend({
     defaults: {
-        value: undefined
-    }
+      value: undefined,
+    },
   });
 
   /**
@@ -799,119 +808,125 @@
    */
   var InputArrayCellEditor = Backgrid.Extension.InputArrayCellEditor =
     Backgrid.CellEditor.extend({
-      tagName: "div",
+      tagName: 'div',
 
-    events: {
-      'blur': 'lostFocus'
-    },
+      events: {
+        'blur': 'lostFocus',
+      },
 
-    render: function () {
+      render: function() {
         var self = this,
-            arrayValuesCol = this.model.get(this.column.get("name")),
-            tbl = $("<table></table>").appendTo(this.$el),
-            gridCols = [
-                    {name: 'value', label: gettext('Array Values'), type: 'text', cell:'string', headerCell: Backgrid.Extension.CustomHeaderIconCell, cellHeaderClasses: 'width_percent_100'},
-                    ],
-            gridBody = $("<div class='pgadmin-control-group backgrid form-group col-xs-12 object subnode'></div>");
+          arrayValuesCol = this.model.get(this.column.get('name')),
+          gridCols = [{
+            name: 'value',
+            label: gettext('Array Values'),
+            type: 'text',
+            cell: 'string',
+            headerCell: Backgrid.Extension.CustomHeaderIconCell,
+            cellHeaderClasses: 'width_percent_100',
+          }],
+          gridBody = $('<div class=\'pgadmin-control-group backgrid form-group col-xs-12 object subnode\'></div>');
 
         this.$el.attr('tabindex', '1');
 
         gridCols.unshift({
-          name: "pg-backform-delete", label: "",
+          name: 'pg-backform-delete',
+          label: '',
           cell: Backgrid.Extension.DeleteCell,
           //headerCell: Backgrid.Extension.CustomHeaderIconCell,
-          editable: false, cell_priority: -1
+          editable: false,
+          cell_priority: -1,
         });
 
-      this.$el.empty();
-      var grid = self.grid = new Backgrid.Grid({
-            columns: gridCols,
-            collection:arrayValuesCol
-          });
-
-      grid.render();
+        this.$el.empty();
+        var grid = self.grid = new Backgrid.Grid({
+          columns: gridCols,
+          collection: arrayValuesCol,
+        });
 
-      gridBody.append(grid.$el)
+        grid.render();
 
-      this.$el.html(gridBody);
+        gridBody.append(grid.$el);
 
-      $(self.$el).pgMakeVisible('backform-tab');
-      self.delegateEvents();
+        this.$el.html(gridBody);
 
-      return this;
-    },
+        $(self.$el).pgMakeVisible('backform-tab');
+        self.delegateEvents();
 
-    /*
-     * Call back function when the grid lost the focus
-     */
-    lostFocus: function(ev) {
+        return this;
+      },
 
-      var self = this,
-      /*
-       * Function to determine whether one dom element is descendant of another
-       * dom element.
-       */
-      isDescendant = function (parent, child) {
-         var node = child.parentNode;
-         while (node != null) {
-             if (node == parent) {
-                 return true;
-             }
-             node = node.parentNode;
-         }
-         return false;
-      }
       /*
-       * Between leaving the old element focus and entering the new element focus the
-       * active element is the document/body itself so add timeout to get the proper
-       * focused active element.
+       * Call back function when the grid lost the focus
        */
-      setTimeout(function() {
-        if (self.$el[0] != document.activeElement && !isDescendant(self.$el[0], document.activeElement)){
-          var m = self.model,
-            column = self.column;
-          m.trigger('backgrid:edited', m, column, new Backgrid.Command(ev));
+      lostFocus: function(ev) {
+
+        var self = this,
+          /*
+           * Function to determine whether one dom element is descendant of another
+           * dom element.
+           */
+          isDescendant = function(parent, child) {
+            var node = child.parentNode;
+            while (node != null) {
+              if (node == parent) {
+                return true;
+              }
+              node = node.parentNode;
+            }
+            return false;
+          };
+        /*
+         * Between leaving the old element focus and entering the new element focus the
+         * active element is the document/body itself so add timeout to get the proper
+         * focused active element.
+         */
+        setTimeout(function() {
+          if (self.$el[0] != document.activeElement && !isDescendant(self.$el[0], document.activeElement)) {
+            var m = self.model,
+              column = self.column;
+            m.trigger('backgrid:edited', m, column, new Backgrid.Command(ev));
 
-          setTimeout(function(){
-            if (self.grid) {
+            setTimeout(function() {
+              if (self.grid) {
                 self.grid.remove();
                 self.grid = null;
-            }
-          }, 10);
+              }
+            }, 10);
 
 
-        } },10);
-      return;
-    }
-  });
+          }
+        }, 10);
+        return;
+      },
+    });
 
   /*
    * This will help us transform the user input string array values in proper format to be
    * displayed in the cell.
    */
   var InputStringArrayCellFormatter = Backgrid.Extension.InputStringArrayCellFormatter =
-    function () {};
+    function() {};
   _.extend(InputStringArrayCellFormatter.prototype, {
     /**
      * Takes a raw value from a model and returns an optionally formatted
      * string for display.
      */
-    fromRaw: function (rawData, model) {
-        var values = []
-        rawData.each(function(m){
-            var val = m.get('value');
-            if (_.isUndefined(val)) {
-                values.push("null");
-            } else {
-                values.push(m.get("value"));
-            }
-          }
-        );
-        return values.toString();
+    fromRaw: function(rawData) {
+      var values = [];
+      rawData.each(function(m) {
+        var val = m.get('value');
+        if (_.isUndefined(val)) {
+          values.push('null');
+        } else {
+          values.push(m.get('value'));
+        }
+      });
+      return values.toString();
     },
-    toRaw: function (formattedData, model) {
+    toRaw: function(formattedData) {
       return formattedData;
-    }
+    },
   });
 
   /*
@@ -919,78 +934,81 @@
    * displayed in the cell.
    */
   var InputIntegerArrayCellFormatter = Backgrid.Extension.InputIntegerArrayCellFormatter =
-    function () {};
+    function() {};
   _.extend(InputIntegerArrayCellFormatter.prototype, {
     /**
      * Takes a raw value from a model and returns an optionally formatted
      * string for display.
      */
-    fromRaw: function (rawData, model) {
-        var values = []
-        rawData.each(function(m){
-            var val = m.get('value');
-            if (_.isUndefined(val)) {
-                values.push("null");
-            } else {
-                values.push(m.get("value"));
-            }
-          }
-        );
-        return values.toString();
+    fromRaw: function(rawData) {
+      var values = [];
+      rawData.each(function(m) {
+        var val = m.get('value');
+        if (_.isUndefined(val)) {
+          values.push('null');
+        } else {
+          values.push(m.get('value'));
+        }
+      });
+      return values.toString();
     },
-    toRaw: function (formattedData, model) {
-        formattedData.each(function(m){
-            m.set("value", parseInt(m.get('value')), {silent: true});
+    toRaw: function(formattedData) {
+      formattedData.each(function(m) {
+        m.set('value', parseInt(m.get('value')), {
+          silent: true,
         });
+      });
 
       return formattedData;
-    }
+    },
   });
 
   /*
    *  InputStringArrayCell for rendering and taking input for string array type in debugger
    */
-  var InputStringArrayCell = Backgrid.Extension.InputStringArrayCell = Backgrid.Cell.extend({
-    className: "width_percent_25",
+  Backgrid.Extension.InputStringArrayCell = Backgrid.Cell.extend({
+    className: 'width_percent_25',
     formatter: InputStringArrayCellFormatter,
     editor: InputArrayCellEditor,
 
     initialize: function() {
       Backgrid.Cell.prototype.initialize.apply(this, arguments);
-        // set value to empty array.
-        var m = arguments[0].model;
-        if (_.isUndefined(this.collection)) {
-            this.collection = new (Backbone.Collection.extend({
-            model: arrayCellModel}))(m.get('value'));
-        }
+      // set value to empty array.
+      var m = arguments[0].model;
+      if (_.isUndefined(this.collection)) {
+        this.collection = new(Backbone.Collection.extend({
+          model: arrayCellModel,
+        }))(m.get('value'));
+      }
 
-        this.model.set(this.column.get('name'), this.collection);
+      this.model.set(this.column.get('name'), this.collection);
 
-        this.listenTo(this.collection, "remove", this.render);
+      this.listenTo(this.collection, 'remove', this.render);
     },
   });
 
   /*
    *  InputIntegerArrayCell for rendering and taking input for integer array type in debugger
    */
-  var InputIntegerArrayCell = Backgrid.Extension.InputIntegerArrayCell = Backgrid.Cell.extend({
-    className: "width_percent_25",
+  Backgrid.Extension.InputIntegerArrayCell = Backgrid.Cell.extend({
+    className: 'width_percent_25',
     formatter: InputIntegerArrayCellFormatter,
     editor: InputArrayCellEditor,
 
     initialize: function() {
       Backgrid.Cell.prototype.initialize.apply(this, arguments);
-        // set value to empty array.
-        var m = arguments[0].model;
-        if (_.isUndefined(this.collection)) {
-            this.collection = new (Backbone.Collection.extend({
-            model: arrayCellModel}))(m.get('value'));
-        }
+      // set value to empty array.
+      var m = arguments[0].model;
+      if (_.isUndefined(this.collection)) {
+        this.collection = new(Backbone.Collection.extend({
+          model: arrayCellModel,
+        }))(m.get('value'));
+      }
 
 
-        this.model.set(this.column.get('name'),this.collection);
+      this.model.set(this.column.get('name'), this.collection);
 
-        this.listenTo(this.collection, "remove", this.render);
+      this.listenTo(this.collection, 'remove', this.render);
     },
   });
 
@@ -1006,7 +1024,7 @@
 
   _.extend(
     DependentCell.prototype, {
-      initialize: function(){
+      initialize: function() {
         // Listen to the dependent fields in the model for any change
         var deps = this.column.get('deps');
         var self = this;
@@ -1014,8 +1032,8 @@
         if (deps && _.isArray(deps)) {
           _.each(deps, function(d) {
             var attrArr = d.split('.'),
-            name = attrArr.shift();
-            self.listenTo(self.model, "change:" + name, self.dependentChanged);
+              name = attrArr.shift();
+            self.listenTo(self.model, 'change:' + name, self.dependentChanged);
           });
         }
       },
@@ -1029,10 +1047,10 @@
             var attrArr = d.split('.'),
               name = attrArr.shift();
 
-            self.stopListening(self.model, "change:" + name, self.dependentChanged);
+            self.stopListening(self.model, 'change:' + name, self.dependentChanged);
           });
         }
-      }
+      },
     });
 
   /**
@@ -1042,36 +1060,36 @@
    @extends Backgrid.CellFormatter
    @constructor
   */
-  var PasswordFormatter = Backgrid.PasswordFormatter = function () {};
+  var PasswordFormatter = Backgrid.PasswordFormatter = function() {};
   PasswordFormatter.prototype = new Backgrid.CellFormatter();
   _.extend(PasswordFormatter.prototype, {
-    fromRaw: function (rawValue, model) {
+    fromRaw: function(rawValue) {
 
       if (_.isUndefined(rawValue) || _.isNull(rawValue)) return '';
 
       var pass = '';
-      for(var i = 0; i < rawValue.length; i++) {
+      for (var i = 0; i < rawValue.length; i++) {
         pass += '*';
       }
       return pass;
-    }
+    },
   });
 
-  var PasswordCell = Backgrid.Extension.PasswordCell  = Backgrid.StringCell.extend({
+  Backgrid.Extension.PasswordCell = Backgrid.StringCell.extend({
 
     formatter: PasswordFormatter,
 
     editor: Backgrid.InputCellEditor.extend({
       attributes: {
-        type: "password"
+        type: 'password',
       },
 
-      render: function () {
+      render: function() {
         var model = this.model;
-        this.$el.val(model.get(this.column.get("name")));
+        this.$el.val(model.get(this.column.get('name')));
         return this;
-      }
-    })
+      },
+    }),
   });
 
   /*
@@ -1081,7 +1099,7 @@
    * and we need to parse it again in float at client side.
    */
   _.extend(Backgrid.NumberFormatter.prototype, {
-    fromRaw: function (number, model) {
+    fromRaw: function(number) {
       if (_.isNull(number) || _.isUndefined(number)) return '';
 
       number = parseFloat(number).toFixed(~~this.decimals);
@@ -1091,64 +1109,64 @@
       var decimalPart = parts[1] ? (this.decimalSeparator || '.') + parts[1] : '';
 
       return integerPart.replace(this.HUMANIZED_NUM_RE, '$1' + this.orderSeparator) + decimalPart;
-    }
+    },
   });
 
   /*
    *  JSONBCell Formatter.
    */
   var JSONBCellFormatter = Backgrid.Extension.JSONBCellFormatter =
-    function () {};
+    function() {};
   _.extend(JSONBCellFormatter.prototype, {
-    fromRaw: function (rawData, model) {
-        // json data
-        if(_.isArray(rawData)) {
-          var converted_data = '';
-          converted_data = _.map(rawData, function(data) {
-            return JSON.stringify(JSON.stringify(data));
-          });
-          return '{' + converted_data.join() + '}';
-        } else if(_.isObject(rawData)) {
-          return JSON.stringify(rawData);
-        } else {
-          return rawData;
-        }
+    fromRaw: function(rawData) {
+      // json data
+      if (_.isArray(rawData)) {
+        var converted_data = '';
+        converted_data = _.map(rawData, function(data) {
+          return JSON.stringify(JSON.stringify(data));
+        });
+        return '{' + converted_data.join() + '}';
+      } else if (_.isObject(rawData)) {
+        return JSON.stringify(rawData);
+      } else {
+        return rawData;
+      }
     },
-    toRaw: function (formattedData, model) {
+    toRaw: function(formattedData) {
       return formattedData;
-    }
+    },
   });
 
   /*
    *  JSONBCell for backgrid.
    */
-  var JSONBCell = Backgrid.Extension.JSONBCell =
-      Backgrid.StringCell.extend({
-        className: "jsonb-cell",
-        formatter: JSONBCellFormatter
-      });
+  Backgrid.Extension.JSONBCell =
+    Backgrid.StringCell.extend({
+      className: 'jsonb-cell',
+      formatter: JSONBCellFormatter,
+    });
 
-  var DatepickerCell = Backgrid.Extension.DatepickerCell = Backgrid.Cell.extend({
-    editor: DatepickerCellEditor
+  Backgrid.Extension.DatepickerCell = Backgrid.Cell.extend({
+    editor: DatepickerCellEditor,
   });
 
   var DatepickerCellEditor = Backgrid.InputCellEditor.extend({
-    events:{},
-    initialize:function() {
+    events: {},
+    initialize: function() {
       Backgrid.InputCellEditor.prototype.initialize.apply(this, arguments);
       var input = this;
       $(this.el).prop('readonly', true);
       $(this.el).datepicker({
-        onClose: function(newValue){
+        onClose: function(newValue) {
           var command = new Backgrid.Command({});
-          input.model.set(input.column.get("name"), newValue);
+          input.model.set(input.column.get('name'), newValue);
           input.model.trigger(
-            "backgrid:edited", input.model, input.column, command
+            'backgrid:edited', input.model, input.column, command
           );
           command = input = null;
-        }
+        },
       });
-    }
+    },
   });
 
   // Reference:
@@ -1163,7 +1181,7 @@
    @extends Backgrid.CellFormatter
    @constructor
    */
-  var MomentFormatter = Backgrid.Extension.MomentFormatter = function (options) {
+  var MomentFormatter = Backgrid.Extension.MomentFormatter = function(options) {
     _.extend(this, this.defaults, options);
   };
 
@@ -1207,7 +1225,7 @@
       displayInUTC: true,
       displayLang: moment.locale(),
       displayFormat: moment.defaultFormat,
-      allowEmpty: false
+      allowEmpty: false,
     },
 
     /**
@@ -1216,7 +1234,7 @@
        @param {*} rawData
        @return {string}
        */
-    fromRaw: function (rawData) {
+    fromRaw: function(rawData) {
       if (rawData == null) return '';
 
       var m = this.modelInUnixOffset ? moment(rawData) :
@@ -1231,7 +1249,8 @@
 
       if (this.displayLang) m.locale(this.displayLang);
 
-      if (this.displayInUTC) m.utc(); else m.local();
+      if (this.displayInUTC) m.utc();
+      else m.local();
 
       if (this.displayFormat != moment.defaultFormat) {
         return m.format(this.displayFormat);
@@ -1246,7 +1265,7 @@
        @param {string} formattedData
        @return {string}
        */
-    toRaw: function (formattedData) {
+    toRaw: function(formattedData) {
 
       var m = this.displayInUnixOffset ? moment(+formattedData) :
         this.displayInUnixTimestamp ? moment.unix(+formattedData) :
@@ -1262,14 +1281,15 @@
 
       if (this.modelLang) m.locale(this.modelLang);
 
-      if (this.modelInUTC) m.utc(); else m.local()
+      if (this.modelInUTC) m.utc();
+      else m.local();
 
       if (this.modelFormat != moment.defaultFormat) {
         return m.format(this.modelFormat);
       }
 
       return m.format();
-    }
+    },
   });
 
   var MomentCell = Backgrid.Extension.MomentCell = Backgrid.Cell.extend({
@@ -1277,7 +1297,7 @@
     editor: Backgrid.InputCellEditor,
 
     /** @property */
-    className: "datetime-cell",
+    className: 'datetime-cell',
 
     /** @property {Backgrid.CellFormatter} [formatter=Backgrid.Extension.MomentFormatter] */
     formatter: MomentFormatter,
@@ -1286,7 +1306,7 @@
        Initializer. Accept Backgrid.Extension.MomentFormatter.options and
        Backgrid.Cell.initialize required parameters.
      */
-    initialize: function (options) {
+    initialize: function(options) {
 
       MomentCell.__super__.initialize.apply(this, arguments);
 
@@ -1306,68 +1326,73 @@
 
       this.editor = this.editor.extend({
         attributes: _.extend({}, this.editor.prototype.attributes || this.editor.attributes || {}, {
-          placeholder: this.formatter.displayFormat
+          placeholder: this.formatter.displayFormat,
         }),
-        options: this.column.get('options')
+        options: this.column.get('options'),
       });
-    }
+    },
   });
 
-  var DatetimePickerEditor = Backgrid.Extension.DatetimePickerEditor = Backgrid.InputCellEditor.extend({
+  Backgrid.Extension.DatetimePickerEditor = Backgrid.InputCellEditor.extend({
     postRender: function() {
       var self = this,
-          evalF = function() {
-            var args = [];
-            Array.prototype.push.apply(args, arguments);
-            var f = args.shift();
+        evalF = function() {
+          var args = [];
+          Array.prototype.push.apply(args, arguments);
+          var f = args.shift();
 
-            if (typeof(f) === 'function') {
-              return f.apply(self, args);
-            }
-            return f;
-          },
-          options = _.extend({
-            format: "YYYY-MM-DD HH:mm:ss Z",
-            showClear: true,
-            showTodayButton: true,
-            toolbarPlacement: 'top'
-          }, evalF(this.column.get('options')), {
-            keyBinds: {
-              "shift tab": function(widget) {
-                if (widget) {
-                  // blur the input
-                  setTimeout(
-                    function() {
-                      self.closeIt({keyCode: 9, shiftKey: true});
-                    }, 10
-                  );
-                }
-              },
-              tab: function(widget) {
-                if (widget) {
-                  // blur the input
-                  setTimeout(
-                    function() {
-                      self.closeIt({keyCode: 9});
-                    }, 10
-                  );
-                }
+          if (typeof(f) === 'function') {
+            return f.apply(self, args);
+          }
+          return f;
+        },
+        options = _.extend({
+          format: 'YYYY-MM-DD HH:mm:ss Z',
+          showClear: true,
+          showTodayButton: true,
+          toolbarPlacement: 'top',
+        }, evalF(this.column.get('options')), {
+          keyBinds: {
+            'shift tab': function(widget) {
+              if (widget) {
+                // blur the input
+                setTimeout(
+                  function() {
+                    self.closeIt({
+                      keyCode: 9,
+                      shiftKey: true,
+                    });
+                  }, 10
+                );
               }
-            }
-          });
+            },
+            tab: function(widget) {
+              if (widget) {
+                // blur the input
+                setTimeout(
+                  function() {
+                    self.closeIt({
+                      keyCode: 9,
+                    });
+                  }, 10
+                );
+              }
+            },
+          },
+        });
       this.$el.datetimepicker(options);
       this.$el.datetimepicker('show');
       this.picker = this.$el.data('DateTimePicker');
     },
     events: {
-      'dp.hide': 'closeIt'
+      'dp.hide': 'closeIt',
     },
     closeIt: function(ev) {
       var formatter = this.formatter,
-          model = this.model,
-          column = this.column,
-          val = this.$el.val(),
-          newValue = formatter.toRaw(val, model);
+        model = this.model,
+        column = this.column,
+        val = this.$el.val(),
+        newValue = formatter.toRaw(val, model);
 
       if (this.is_closing)
         return;
@@ -1378,44 +1403,47 @@
       var command = new Backgrid.Command(ev);
 
       if (_.isUndefined(newValue)) {
-        model.trigger("backgrid:error", model, column, val);
+        model.trigger('backgrid:error', model, column, val);
       } else {
-        model.set(column.get("name"), newValue);
-        model.trigger("backgrid:edited", model, column, command);
+        model.set(column.get('name'), newValue);
+        model.trigger('backgrid:edited', model, column, command);
       }
-    }
+    },
   });
 
   _.extend(MomentCell.prototype, MomentFormatter.prototype.defaults);
 
 
   Backgrid.Extension.StringDepCell = Backgrid.StringCell.extend({
-      initialize: function() {
-        Backgrid.StringCell.prototype.initialize.apply(this, arguments);
-        Backgrid.Extension.DependentCell.prototype.initialize.apply(this, arguments);
-      },
-      dependentChanged: function () {
-        this.$el.empty();
+    initialize: function() {
+      Backgrid.StringCell.prototype.initialize.apply(this, arguments);
+      Backgrid.Extension.DependentCell.prototype.initialize.apply(this, arguments);
+    },
+    dependentChanged: function() {
+      this.$el.empty();
 
-        var self = this,
-            model = this.model,
-            column = this.column,
-            editable = this.column.get("editable");
+      var self = this,
+        model = this.model,
+        column = this.column,
+        editable = this.column.get('editable');
 
-        this.render();
+      this.render();
 
-        var is_editable = _.isFunction(editable) ? !!editable.apply(column, [model]) : !!editable;
-        setTimeout(function() {
-          self.$el.removeClass("editor");
-          if (is_editable){ self.$el.addClass("editable"); }
-          else { self.$el.removeClass("editable"); }
-        }, 10);
+      var is_editable = _.isFunction(editable) ? !!editable.apply(column, [model]) : !!editable;
+      setTimeout(function() {
+        self.$el.removeClass('editor');
+        if (is_editable) {
+          self.$el.addClass('editable');
+        } else {
+          self.$el.removeClass('editable');
+        }
+      }, 10);
 
-        this.delegateEvents();
-        return this;
-      },
-      remove: Backgrid.Extension.DependentCell.prototype.remove
-    });
+      this.delegateEvents();
+      return this;
+    },
+    remove: Backgrid.Extension.DependentCell.prototype.remove,
+  });
 
   Backgrid.Extension.Select2DepCell = Backgrid.Extension.Select2Cell.extend({
     initialize: function() {
@@ -1423,23 +1451,28 @@
       Backgrid.Extension.DependentCell.prototype.initialize.apply(this, arguments);
     },
 
-    dependentChanged: function () {
-      var model = this.model;
-      var column = this.column;
-      editable = this.column.get("editable");
+    dependentChanged: function() {
+      var model = this.model,
+        column = this.column,
+        editable = this.column.get('editable');
 
       this.render();
 
-      is_editable = _.isFunction(editable) ? !!editable.apply(column, [model]) : !!editable;
-      if (is_editable){ this.$el.addClass("editable"); }
-      else { this.$el.removeClass("editable"); }
+      if (
+        _.isFunction(editable) ? !!editable.apply(column, [model]) :
+        !!editable
+      ) {
+        this.$el.addClass('editable');
+      } else {
+        this.$el.removeClass('editable');
+      }
 
       this.delegateEvents();
       return this;
     },
-    remove: Backgrid.Extension.DependentCell.prototype.remove
+    remove: Backgrid.Extension.DependentCell.prototype.remove,
   });
 
   return Backgrid;
 
-}));
+});
